Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Event Operations
PUTEvent OperationsSince 3.3.0SynchronousAuth Required

UpdateEventData

UpdateEventData

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • updateeventdataObjectRequired

    updateeventdata request body object.

    • dataUuidString

      Optional. The start time of the target messages. Make sure that InRange is transferred to updateMode.

    • dataStartTimeLong

      Optional. The start time of the target messages. Make sure that InRange is transferred to updateMode.

    • dataEndTimeLong

      Optional. The end time of the target messages. Make sure that InRange is transferred to updateMode.

    • updateModeStringRequired

      The range of the target messages to be updated. Options: OnlyOne: updates only the specified messages. InRange: updates the messages generated in a specified time range. All: updates all messages.

    • readStatusString

      Optional. The read status of the updated messages.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/zwatch/events/actions

/zstack/v1/zwatch/events/actions

Operation ID

UpdateEventData

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/zwatch/events/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateeventdata":{"dataUuid":"<dataUuid>","dataStartTime":1,"dataEndTime":1,"updateMode":"<updateMode>","readStatus":"<readStatus>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history